complexType "PartyRelationshipDocumentation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (masterAgreement | creditSupportAgreement | agreement)+
</...>

Content Model Elements (3):

  agreement,
  creditSupportAgreement (in documentation in relatedParty defined in Party complexType),
  masterAgreement (in documentation in relatedParty defined in Party complexType)

All Direct / Indirect Based Elements (1):

  documentation (in relatedParty defined in Party complexType)

Known Usage Locations

- As direct type of elements (1):
  documentation (in relatedParty defined in Party complexType)

Annotation
A description of the legal agreement(s) and definitions that document a party's relationships with other parties
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PartyRelationshipDocumentation"> <xsd:sequence> <xsd:choice maxOccurs="unbounded"> <xsd:element name="masterAgreement" type="MasterAgreement"/> <xsd:element name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:element name="agreement" type="GenericAgreement"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
agreement

  Type: | GenericAgreement, complex content

  An agrement that references the related party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="agreement" type="GenericAgreement"/>

creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  An agreement executed between two parties intended to govern collateral arrangement for OTC derivatives transactions between those parties, and that references the related party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="creditSupportAgreement" type="CreditSupportAgreement"/>

masterAgreement

  Type: | MasterAgreement, complex content

  A agreement executed between two parties that includes or references the related party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="masterAgreement" type="MasterAgreement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.